string File Reference

Go to the source code of this file.

## Namespaces

namespace | std

## Macros

#define | __glibcxx_exc_in_string
#define | _GLIBCXX_STRING

## Typedefs

template<typename _CharT, typename _Traits = char_traits<_CharT>>
using | std::pmr::basic_string
using | std::pmr::string
using | std::pmr::u16string
using | std::pmr::u32string
using | std::pmr::wstring

## Detailed Description

This is a Standard C++ Library header.

Definition in file string.

## Macro Definition Documentation

## __glibcxx_exc_in_string

#define __glibcxx_exc_in_string

Definition at line 43 of file string.

## _GLIBCXX_STRING

#define _GLIBCXX_STRING

Definition at line 34 of file string.

## Typedef Documentation

## basic_string

template<typename _CharT, typename _Traits = char_traits<_CharT>>

using std::pmr::basic_string

Definition at line 89 of file string.

## string

using std::pmr::string

Definition at line 91 of file string.

## u16string

using std::pmr::u16string

Definition at line 95 of file string.

## u32string

using std::pmr::u32string

Definition at line 96 of file string.

## wstring

using std::pmr::wstring

Definition at line 97 of file string.